program uvod;

type niz = array[1..100] of Integer;

var 
    a: niz; // moze i umjesto niz: array[1..100] of Integer
    n, i: Integer;

procedure unos_niza(var n: Integer; var a: niz);
var i: Integer;
begin
    ReadLn(n);
    for i := 1 to n do
    begin
        Read(a[i]);
    end;
end;

procedure stampa_niza(var n: Integer; var a: niz);
var i: Integer;
begin
    for i := 1 to n do
    begin
        Write(a[i], ' ');
    end;
    WriteLn();
end;

procedure kvadriraj(n: Integer; var a: niz);
var i: Integer;
begin
    for i := 1 to n do
    begin
        a[i] := a[i]*a[i];
    end;
end;

function min_niza(n: Integer; a: niz): Integer;
var i, min: Integer;
begin
    min := a[1];
    for i := 2 to n do
    begin
        if (a[i] < min) then
        begin
            min := a[i];
        end;
    end;
    min_niza := min;
end;

function prost(p: Integer): Boolean;
var 
    d: Integer;
    ind: Boolean;
begin
    ind := True;
    d := 2;
    while (d*d <= p) do
    begin
        if (p mod d = 0) then
        begin
            ind := False;
            Break;
        end;
        d := d + 1;
    end;
    prost := ind;
end;

function br_prostih(n: Integer; a: niz): Integer;
var i, br: Integer;
begin
    br := 0;
    for i := 1 to n do
    begin
        if (prost(a[i])) then
        begin
            br := br + 1;
        end;
    end;
    br_prostih := br;
end;

procedure shift_right(n: Integer; var a: niz);
var tmp, i: Integer;
begin
    tmp := a[n];
    for i := n - 1 downto 1 do
    begin
        a[i + 1] := a[i];
    end;
    a[1] := tmp;
end;

procedure zamjena(var a, b: Integer);
var tmp: Integer;
begin
    tmp := a;
    a := b;
    b := tmp;
end;

procedure sortiranje(n: Integer; var a: niz);
var i, j, min_idx: Integer;
begin
    for i := 1 to n - 1 do
    begin
        min_idx := i;
        for j := i + 1 to n do
        begin
            if (a[j] < a[min_idx]) then
            begin
                min_idx := j;
            end;
        end;
        zamjena(a[i], a[min_idx]);
        // stampa_niza(n, a);
    end;
end;

function drugi_najveci(n: Integer; a: niz): Integer;
var prvi, drugi, i: Integer;
begin
    prvi := a[1];
    drugi := a[2];
    if (prvi < drugi) then
    begin
        zamjena(prvi, drugi);
    end;
    for i := 3 to n do
    begin
        if ((prvi = a[i]) or (drugi = a[i])) then
        begin
            Continue;
        end;
        if (a[i] > prvi) then
        begin
            drugi := prvi;
            prvi := a[i];
        end
        else if (a[i] > drugi) then
        begin
            drugi := a[i];
        end;
    end;
    drugi_najveci := drugi;
end;

begin

unos_niza(n, a);

// kvadriraj(n, a);
// stampa_niza(n, a);

// WriteLn(min_niza(n, a));
// WriteLn(br_prostih(n, a));

// shift_right(n, a);
// sortiranje(n, a);
// stampa_niza(n, a);

WriteLn(drugi_najveci(n, a));

end.